[llvm-commits] CVS: llvm-tv/autoconf/AutoRegen.sh

Misha Brukman brukman at cs.uiuc.edu
Mon Apr 18 11:55:07 PDT 2005



Changes in directory llvm-tv/autoconf:

AutoRegen.sh added (r1.1)
---
Log message:

Add script to re-generate the configure script after changes.
It is more limited than the standard LLVM AutoRegen.sh, and hence some parts are
deactivated.


---
Diffs of the changes:  (+43 -0)

 AutoRegen.sh |   43 +++++++++++++++++++++++++++++++++++++++++++
 1 files changed, 43 insertions(+)


Index: llvm-tv/autoconf/AutoRegen.sh
diff -c /dev/null llvm-tv/autoconf/AutoRegen.sh:1.1
*** /dev/null	Mon Apr 18 13:55:06 2005
--- llvm-tv/autoconf/AutoRegen.sh	Mon Apr 18 13:54:56 2005
***************
*** 0 ****
--- 1,43 ----
+ #!/bin/sh
+ die () {
+ 	echo "$@" 1>&2
+ 	exit 1
+ }
+ outfile=configure
+ configfile=configure.ac
+ test -d autoconf && test -f autoconf/$configfile && cd autoconf
+ test -f $configfile || die "Can't find 'autoconf' dir; please cd into it first"
+ autoconf --version | egrep '2\.59' > /dev/null
+ if test $? -ne 0 ; then
+   die "Your autoconf was not detected as being 2.59"
+ fi
+ aclocal --version | egrep '1\.9\.2' > /dev/null
+ if test $? -ne 0 ; then
+   die "Your aclocal was not detected as being 1.9.2"
+ fi
+ autoheader --version | egrep '2\.59' > /dev/null
+ if test $? -ne 0 ; then
+   die "Your autoheader was not detected as being 2.59"
+ fi
+ libtool --version | grep '1\.5\.10' > /dev/null
+ if test $? -ne 0 ; then
+   die "Your libtool was not detected as being 1.5.10"
+ fi
+ echo ""
+ echo "### NOTE: ############################################################"
+ echo "### If you get *any* warnings from autoconf below you MUST fix the"
+ echo "### scripts in the m4 directory because there are future forward"
+ echo "### compatibility or platform support issues at risk. Please do NOT"
+ echo "### commit any configure script that was generated with warnings"
+ echo "### present. You should get just three 'Regenerating..' lines."
+ echo "######################################################################"
+ echo ""
+ #echo "Regenerating aclocal.m4 with aclocal 1.9.2"
+ #cwd=`pwd`
+ #aclocal --force -I $cwd/m4 || die "aclocal failed"
+ echo "Regenerating configure with autoconf 2.59"
+ autoconf --force --warnings=all -o ../$outfile $configfile || die "autoconf failed"
+ cd ..
+ echo "Regenerating config.h.in with autoheader 2.59"
+ #autoheader --warnings=all -I autoconf -I autoconf/m4 autoconf/$configfile || die "autoheader failed"
+ exit 0






More information about the llvm-commits mailing list